	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	$key=mysqli_real_escape_string($connect, $_GET['key']);
	$no_invoice=mysqli_real_escape_string($connect, $_GET['no_invoice']);

	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$jumlah   	= mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	if ($jumlah > 0){


	$querydp = "SELECT * FROM spending_data WHERE no_invoice='$no_invoice'";
	$dp = mysqli_query($connect,$querydp);

	$query = "SELECT * FROM spending WHERE no_invoice='$no_invoice'";
	$hasil = mysqli_query($connect,$query);


	if(mysqli_num_rows($hasil) > 0 ){
	
	
	$responses = array(
    'status' => 'true',
    'errCode' => '01',
	'msg' => 'Success'
	);
   
   
	$responses["data"] = array();
	$d = mysqli_fetch_array($dp);
  
	
  
	$dataop = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$d[operator]'");
	$o=mysqli_fetch_array($dataop);
  
  $info = array(
  'no_invoice' 		=> $d['no_invoice'],
  'oleh' 			=> $o['full_name'],
  'date' 			=> $d['date'],
  'totalnominal' 	=> $d['totalnominal']
  );
   
	$pengeluaran = array();
	while($x = mysqli_fetch_array($hasil)){
	
	
	  
    $h['name_spending'] 	= $x["name_spending"];
    $h['date'] 				= $x["date"];
    $h['nominal'] 			= $x["nominal"];
    array_push($pengeluaran, $h);
	}
  
	$responses["data"] = array(
	'info' 		=> $info,
	'data' 		=> $pengeluaran
	);
  
	array_push($responses["data"]);
	

	echo json_encode($responses);
	}else {
	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
	);
	echo json_encode($response);
	}


	}else{
	
	
	$json = array(
    'status' => 'true',
    'errCode' => '00',
	'msg' => 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>